apiVersion: web.servers.org/v1alpha1
kind: WebServer
metadata:
  name: app-img-stream-source-test
spec:
  applicationName: image-stream-source-test
  persistentLogs: {}
  podResources: {}
  replicas: 1
  tlsConfig: {}
  webImageStream:
    imageStreamName: my-img-stream
    imageStreamNamespace: jws-operator-tests
    webServerHealthCheck:
      serverLivenessScript: cd /opt; test -f jws-${JBOSS_WEBSERVER_VERSION:0:1}.${JBOSS_WEBSERVER_VERSION:2:1}/tomcat/webapps/ocp-app/liveness.jsp
      serverReadinessScript: cd /opt; test -f jws-${JBOSS_WEBSERVER_VERSION:0:1}.${JBOSS_WEBSERVER_VERSION:2:1}/tomcat/webapps/ocp-app/readiness.jsp
    webSources:
      contextDir: /
      sourceRepositoryRef: main
      sourceRepositoryUrl: https://gitlab.com/PaulLodge/ocp-app.git
      webSourcesParams:
        artifactDir: my-target
